#! /bin/bash

# Use as: run.sh program
# Do not include the .exe extension on program

PROGNAME=$1

OBSERVATIONS=y_sine.txt
RANGE=standardizedrange.txt
KNOTS=knotsnew.txt
KNOTSB=knotsB.txt
SIGMA2B=init_sigma2b.txt
SIGMA2EPSILON=init_sigma2epsilon.txt
THETASUBB=init_thetasubb.txt
THETASUBEPSILON=init_thetasubepsilon.txt
THETASUBX=init_thetasubx.txt
SIGMA2U=0.01
SIGMA2V=0.01
PROPOSALVAR=0.01

BURNIN=20000
ITERATIONS=100000

$PROGNAME.exe $OBSERVATIONS $RANGE $KNOTS $KNOTSB $SIGMA2B $SIGMA2EPSILON $THETASUBB $THETASUBEPSILON $THETASUBX $SIGMA2U $SIGMA2V $PROPOSALVAR $BURNIN $ITERATIONS

