#!/bin/bash

# Use as: compile.sh program
# Do not include the .cpp extension on prog
#
# Change the GSLDIR line to be the path to your system's
#   GSL installation

FILENAME=$1
GSLDIR=/home/grad/bgoodner/carrollproj/gsl-1.6

g++ -static -g -Wall -I$GSLDIR -I$GSLDIR/cblas -c $FILENAME.cpp
g++ -static -g -Wall -L$GSLDIR/lib -L/$GSLDIR/cblas/ -o $FILENAME.exe $FILENAME.o -lgsl -lgslcblas -lm



# If GSL is installed in a standard place on the system by the administrator,
# then you should be able to use:
#
# g++ -Wall -c $FILENAME.cpp
# g++ -Wall -o $FILENAME.exe $FILENAME.o -lgsl -lgslcblas -lm
