#! /bin/bash

# Use as: run.sh program
# Do not include the .exe extension on program


PROGNAME=$1

OBSERVATIONS=dopplersimy3.txt
RANGE=dopplerx.txt
KNOTS=dopplerknots.txt
KNOTSB=knotsb
SIGMA2B=init_sigma2b30doppler3
SIGMA2EPSILON=init_sigma2epsilon30doppler3
THETASUBB=init_thetasubb30doppler3
THETASUBEPSILON=init_thetasubepsilon30doppler3
THETASUBX=init_thetasubX30doppler3
SIGMA2U=0.01
SIGMA2V=0.01
PROPOSALVAR=0.1

BURNIN=20000
ITERATIONS=100000

$PROGNAME.exe $OBSERVATIONS $RANGE $KNOTS $KNOTSB $SIGMA2B $SIGMA2EPSILON $THETASUBB $THETASUBEPSILON $THETASUBX $SIGMA2U $SIGMA2V $PROPOSALVAR $BURNIN $ITERATIONS

mv gslSampleMeansAndStandardDeviations.txt doppler3MeansAndStdDevs.txt

OBSERVATIONS=dopplersimy6.txt
RANGE=dopplerx.txt
KNOTS=dopplerknots.txt
KNOTSB=knotsb
SIGMA2B=init_sigma2b30doppler6
SIGMA2EPSILON=init_sigma2epsilon30doppler6
THETASUBB=init_thetasubb30doppler6
THETASUBEPSILON=init_thetasubepsilon30doppler6
THETASUBX=init_thetasubX30doppler6
SIGMA2U=0.01
SIGMA2V=0.01
PROPOSALVAR=0.01

BURNIN=20000
ITERATIONS=100000

$PROGNAME.exe $OBSERVATIONS $RANGE $KNOTS $KNOTSB $SIGMA2B $SIGMA2EPSILON $THETASUBB $THETASUBEPSILON $THETASUBX $SIGMA2U $SIGMA2V $PROPOSALVAR $BURNIN $ITERATIONS

mv gslSampleMeansAndStandardDeviations.txt doppler6MeansAndStdDevs.txt
